--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: []

full_name: DataMapper::Validate::ClassMethods
includes: 
- !ruby/object:RI::IncludedModule 
  name: DataMapper::Validate::ValidatesPresent
- !ruby/object:RI::IncludedModule 
  name: DataMapper::Validate::ValidatesAbsent
- !ruby/object:RI::IncludedModule 
  name: DataMapper::Validate::ValidatesIsConfirmed
- !ruby/object:RI::IncludedModule 
  name: DataMapper::Validate::ValidatesIsPrimitive
- !ruby/object:RI::IncludedModule 
  name: DataMapper::Validate::ValidatesIsAccepted
- !ruby/object:RI::IncludedModule 
  name: DataMapper::Validate::ValidatesFormat
- !ruby/object:RI::IncludedModule 
  name: DataMapper::Validate::ValidatesLength
- !ruby/object:RI::IncludedModule 
  name: DataMapper::Validate::ValidatesWithin
- !ruby/object:RI::IncludedModule 
  name: DataMapper::Validate::ValidatesIsNumber
- !ruby/object:RI::IncludedModule 
  name: DataMapper::Validate::ValidatesWithMethod
- !ruby/object:RI::IncludedModule 
  name: DataMapper::Validate::ValidatesWithBlock
- !ruby/object:RI::IncludedModule 
  name: DataMapper::Validate::ValidatesIsUnique
- !ruby/object:RI::IncludedModule 
  name: DataMapper::Validate::AutoValidate
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: add_validator_to_context
- !ruby/object:RI::MethodSummary 
  name: create_context_instance_methods
- !ruby/object:RI::MethodSummary 
  name: opts_from_validator_args
- !ruby/object:RI::MethodSummary 
  name: validators
name: ClassMethods
superclass: 
